# PSF-LoginServer - master - net.psforever.objects.vital.damage.DamageProfile
PSF - LoginServer - master - net.psforever.objects.vital.damage.DamageProfile
Keywords: PSF LoginServer master net.psforever.objects.vital.damage.DamageProfile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package damage
  Definition Classes
    vital
- DamageCalculations
- DamageModifierFunctions
- DamageProfile
- GalaxyGunshipReduction
- RadialDegrade
- SameHit
- SpecificDamageProfile
- StandardDamageProfile

t

net.psforever.objects.vital.damage

# DamageProfile

###

#### trait DamageProfile extends AnyRef

The different values for five common types of damage that can be dealt, based on target and application. In the same way, the five damage modifiers that are applied to the same kind of damage.

Source
  DamageProfile.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ProjectileDefinition, SpecificDamageProfile, StandardDamageProfile, DamageProperties, DamageWithPosition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageProfile
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Damage0: Int

   `damage0` is for basic infantry

2.  abstract def Damage0_=(damage: Int): Int

   `damage0` is for basic infantry

3.  abstract def Damage1: Int

   `damage1` is for armor, amenities, deployables, etc.

4.  abstract def Damage1_=(damage: Int): Int

   `damage1` is for armor, amenities, deployables, etc.

5.  abstract def Damage2: Int

   `damage2` is for aircraft

6.  abstract def Damage2_=(damage: Int): Int

   `damage2` is for aircraft

7.  abstract def Damage3: Int

   `damage3` is for mechanized infantry

8.  abstract def Damage3_=(damage: Int): Int

   `damage3` is for mechanized infantry

9.  abstract def Damage4: Int

   `damage4` is for battleframe robotics

10.  abstract def Damage4_=(damage: Int): Int

    `damage4` is for battleframe robotics

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped